<!DOCTYPE html>
<html lang="fr">

    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <meta name="description" content="">
        <meta name="author" content="">

        <title>To Do List app</title>

        <!-- Bootstrap Core CSS -->
        {{ encore_entry_link_tags('app') }}
{#        <link href="{{ asset('css/bootstrap.min.css') }}" rel="stylesheet">#}

        <!-- Custom CSS -->
{#        <link href="{{ asset('css/shop-homepage.css') }}" rel="stylesheet">#}

        <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
        <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
        <!--[if lt IE 9]>
        <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
        <script src="https://oss.maxcdn.com/libs/respond.js/1.4.2/respond.min.js"></script>
        <![endif]-->
    </head>

    <body>
        <nav class="navbar navbar-light navbar-fixed-top" style="background-color: #e3f2fd;" role="navigation">
            <div class="container">
                <div class="navbar-header">
                    <a class="navbar-brand" href="#">To Do List app</a>

                    <img src="{{ asset('img/Logo_OpenClassrooms.png') }}" alt="OpenClassrooms" />
                </div>
            </div>
        </nav>

        <!-- Page Content -->
        <div class="container">
            <div class="row d-flex justify-content-end">
                <div class="col-md-12 py-4">
                    <a href="{{ path('user_create') }}" class="btn btn-primary">Créer un utilisateur</a>

                    {% if app.user %}
                        <a href="{{ path('logout') }}" class="pull-right btn btn-danger">Se déconnecter</a>
                    {% endif %}

                    {% if not app.user and 'login_check' != app.request.attributes.get('_route') %}
                        <a href="{{ path('login_check') }}" class="btn btn-success">Se connecter</a>
                    {% endif %}
                </div>
            </div>

            <div class="row">
                <div class="col-md-12">
                    {% for flash_message in app.session.flashBag.get('success') %}
                        <div class="alert alert-success" role="alert">
                            <strong>Superbe !</strong> {{ flash_message }}
                        </div>
                    {% endfor %}

                    {% for flash_message in app.session.flashBag.get('error') %}
                        <div class="alert alert-danger" role="alert">
                            <strong>Oops !</strong> {{ flash_message }}
                        </div>
                    {% endfor %}

                    {% block header_title %}{% endblock %}
                    {% block header_img %}<img class="slide-image" src="{{ asset('img/todolist_homepage.jpg') }}" alt="todo list">{% endblock %}
                </div>
            </div>

            <br />

            <div class="row">
                <div class="col-md-12">
                    {% block body %}{% endblock %}
                </div>
            </div>
        </div>
        <!-- /.container -->

        <div class="container">

            <hr>
            <footer>
                <div class="row">
                    <div class="col-lg-12">
                        <p class="pull-right">Copyright &copy; OpenClassrooms</p>
                    </div>
                </div>
            </footer>

        </div>

        {{ encore_entry_script_tags('app') }}
{#        <script src="{{ asset('js/jquery.js') }}"></script>#}
{#        <script src="{{ asset('js/bootstrap.min.js') }}"></script>#}
    </body>
</html>
